Crons
Create or update a cron
Idempotent upsert of a cron definition keyed on its client-minted UUID; every write is best-effort pushed live to the owning agent’s daemon.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/orgs/string/crons/string" \ -H "Content-Type: application/json" \ -d '{ "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2", "schedule": "string", "trigger": "string" }'{ "id": "string", "orgId": "string", "agentId": "string", "name": "string", "schedule": "string", "timezone": "string", "targetPlatform": "slack", "targetChannel": "string", "targetIntegrationId": "string", "trigger": "string", "enabled": true, "lastRunAt": "string", "createdBy": "string", "createdAt": "string", "lastModifiedBy": "string", "lastModifiedAt": "string", "visibility": "org", "sharedWith": [ "string" ], "canEdit": true, "canManageSharing": true}